Gentoo Archives: gentoo-commits

From: "Bjarke Istrup Pedersen (gurligebis)" <gurligebis@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in net-misc/strongswan: ChangeLog strongswan-4.5.2.ebuild strongswan-4.4.1.ebuild strongswan-4.3.7.ebuild
Date: Thu, 19 May 2011 08:14:31
Message-Id: 20110519081420.48C8B20054@flycatcher.gentoo.org
1 gurligebis 11/05/19 08:14:20
2
3 Modified: ChangeLog
4 Added: strongswan-4.5.2.ebuild
5 Removed: strongswan-4.4.1.ebuild strongswan-4.3.7.ebuild
6 Log:
7 Bumping to 4.5.2 and removing old versions and unused patches.
8
9 (Portage version: 2.2.0_alpha30/cvs/Linux i686)
10
11 Revision Changes Path
12 1.88 net-misc/strongswan/ChangeLog
13
14 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-misc/strongswan/ChangeLog?rev=1.88&view=markup
15 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-misc/strongswan/ChangeLog?rev=1.88&content-type=text/plain
16 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-misc/strongswan/ChangeLog?r1=1.87&r2=1.88
17
18 Index: ChangeLog
19 ===================================================================
20 RCS file: /var/cvsroot/gentoo-x86/net-misc/strongswan/ChangeLog,v
21 retrieving revision 1.87
22 retrieving revision 1.88
23 diff -u -r1.87 -r1.88
24 --- ChangeLog 12 Feb 2011 16:08:59 -0000 1.87
25 +++ ChangeLog 19 May 2011 08:14:20 -0000 1.88
26 @@ -1,6 +1,13 @@
27 # ChangeLog for net-misc/strongswan
28 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
29 -# $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/ChangeLog,v 1.87 2011/02/12 16:08:59 gurligebis Exp $
30 +# $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/ChangeLog,v 1.88 2011/05/19 08:14:20 gurligebis Exp $
31 +
32 +*strongswan-4.5.2 (19 May 2011)
33 +
34 + 19 May 2011; <gurligebis@g.o> -files/strongswan-4.2.7-install.patch,
35 + -files/strongswan-4.3.3-install.patch, -strongswan-4.3.7.ebuild,
36 + -strongswan-4.4.1.ebuild, +strongswan-4.5.2.ebuild:
37 + Bumping to 4.5.2 and removing old versions and unused patches.
38
39 *strongswan-4.5.1 (12 Feb 2011)
40
41
42
43
44 1.1 net-misc/strongswan/strongswan-4.5.2.ebuild
45
46 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-misc/strongswan/strongswan-4.5.2.ebuild?rev=1.1&view=markup
47 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-misc/strongswan/strongswan-4.5.2.ebuild?rev=1.1&content-type=text/plain
48
49 Index: strongswan-4.5.2.ebuild
50 ===================================================================
51 # Copyright 1999-2011 Gentoo Foundation
52 # Distributed under the terms of the GNU General Public License v2
53 # $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/strongswan-4.5.2.ebuild,v 1.1 2011/05/19 08:14:20 gurligebis Exp $
54
55 EAPI=2
56 inherit eutils linux-info
57
58 DESCRIPTION="IPsec-based VPN solution focused on security and ease of use, supporting IKEv1/IKEv2 and MOBIKE"
59 HOMEPAGE="http://www.strongswan.org/"
60 SRC_URI="http://download.strongswan.org/${P}.tar.bz2"
61
62 LICENSE="GPL-2 RSA-MD5 RSA-PKCS11 DES"
63 SLOT="0"
64 KEYWORDS="~amd64 ~ppc ~sparc ~x86"
65 IUSE="+caps cisco curl debug dhcp eap farp gcrypt ldap +ikev1 +ikev2 mysql nat-transport +non-root +openssl smartcard sqlite"
66
67 COMMON_DEPEND="!net-misc/openswan
68 >=dev-libs/gmp-4.1.5
69 gcrypt? ( dev-libs/libgcrypt )
70 caps? ( sys-libs/libcap )
71 curl? ( net-misc/curl )
72 ldap? ( net-nds/openldap )
73 smartcard? ( dev-libs/opensc )
74 openssl? ( >=dev-libs/openssl-0.9.8[-bindist] )
75 mysql? ( virtual/mysql )
76 sqlite? ( >=dev-db/sqlite-3.3.1 )"
77 DEPEND="${COMMON_DEPEND}
78 virtual/linux-sources
79 sys-kernel/linux-headers"
80 RDEPEND="${COMMON_DEPEND}
81 virtual/logger
82 sys-apps/iproute2"
83
84 UGID="ipsec"
85
86 pkg_setup() {
87 linux-info_pkg_setup
88 elog "Linux kernel version: ${KV_FULL}"
89
90 if ! kernel_is -ge 2 6 16; then
91 eerror
92 eerror "This ebuild currently only supports ${PN} with the"
93 eerror "native Linux 2.6 IPsec stack on kernels >= 2.6.16."
94 eerror
95 die "Please install a recent 2.6 kernel."
96 fi
97
98 if use nat-transport; then
99 ewarn
100 ewarn "You have enabled NAT Traversal for transport mode with the IKEv1"
101 ewarn "protocol. Please double check if you really require this feature"
102 ewarn "as it is potentially insecure and usually only required in certain"
103 ewarn "situations when interoperating with Windows using L2TP/IPsec."
104 ewarn
105 fi
106
107 if kernel_is -lt 2 6 34; then
108 ewarn
109 ewarn "IMPORTANT KERNEL NOTES: Please read carefully..."
110 ewarn
111
112 if kernel_is -lt 2 6 29; then
113 ewarn "[ < 2.6.29 ] Due to a missing kernel feature, you have to"
114 ewarn "include all required IPv6 modules even if you just intend"
115 ewarn "to run on IPv4 only."
116 ewarn
117 ewarn "This has been fixed with kernels >= 2.6.29."
118 ewarn
119 fi
120
121 if kernel_is -lt 2 6 33; then
122 ewarn "[ < 2.6.33 ] Kernels prior to 2.6.33 include a non-standards"
123 ewarn "compliant implementation for SHA-2 HMAC support in ESP and"
124 ewarn "miss SHA384 and SHA512 HMAC support altogether."
125 ewarn
126 ewarn "If you need any of those features, please use kernel >= 2.6.33."
127 ewarn
128 fi
129
130 if kernel_is -lt 2 6 34; then
131 ewarn "[ < 2.6.34 ] Support for the AES-GMAC authentification-only"
132 ewarn "ESP cipher is only included in kernels >= 2.6.34."
133 ewarn
134 ewarn "If you need it, please use kernel >= 2.6.34."
135 ewarn
136 fi
137 fi
138
139 if use non-root; then
140 enewgroup ${UGID}
141 enewuser ${UGID} -1 -1 -1 ${UGID}
142 fi
143 }
144
145 src_configure() {
146 local myconf=""
147
148 if use non-root; then
149 myconf="${myconf} --with-user=${UGID} --with-group=${UGID}"
150 fi
151
152 # If a user has already enabled db support, those plugins will
153 # most likely be desired as well. Besides they don't impose new
154 # dependencies and come at no cost (except for space).
155 if use mysql || use sqlite; then
156 myconf="${myconf} --enable-attr-sql --enable-sql"
157 fi
158
159 # strongSwan builds and installs static libs by default which are
160 # useless to the user (and to strongSwan for that matter) because no
161 # header files or alike get installed... so disabling them is safe.
162 econf \
163 --disable-static \
164 $(use_with caps capabilities libcap) \
165 $(use_enable curl) \
166 $(use_enable ldap) \
167 $(use_enable smartcard) \
168 $(use_enable cisco cisco-quirks) \
169 $(use_enable debug leak-detective) \
170 $(use_enable eap eap-sim) \
171 $(use_enable eap eap-sim-file) \
172 $(use_enable eap eap-simaka-sql) \
173 $(use_enable eap eap-simaka-pseudonym) \
174 $(use_enable eap eap-simaka-reauth) \
175 $(use_enable eap eap-identity) \
176 $(use_enable eap eap-md5) \
177 $(use_enable eap eap-gtc) \
178 $(use_enable eap eap-aka) \
179 $(use_enable eap eap-aka-3gpp2) \
180 $(use_enable eap eap-mschapv2) \
181 $(use_enable eap eap-radius) \
182 $(use_enable nat-transport) \
183 $(use_enable openssl) \
184 $(use_enable gcrypt) \
185 $(use_enable mysql) \
186 $(use_enable sqlite) \
187 $(use_enable ikev1 pluto) \
188 $(use_enable ikev2 charon) \
189 $(use_enable dhcp) \
190 $(use_enable farp) \
191 ${myconf}
192 }
193
194 src_install() {
195 einstall || die "einstall failed"
196
197 doinitd "${FILESDIR}"/ipsec
198
199 local dir_ugid
200 if use non-root; then
201 fowners ${UGID}:${UGID} \
202 /etc/ipsec.conf \
203 /etc/ipsec.secrets \
204 /etc/strongswan.conf
205
206 dir_ugid="${UGID}"
207 else
208 dir_ugid="root"
209 fi
210
211 diropts -m 0750 -o ${dir_ugid} -g ${dir_ugid}
212 dodir /etc/ipsec.d \
213 /etc/ipsec.d/aacerts \
214 /etc/ipsec.d/acerts \
215 /etc/ipsec.d/cacerts \
216 /etc/ipsec.d/certs \
217 /etc/ipsec.d/crls \
218 /etc/ipsec.d/ocspcerts \
219 /etc/ipsec.d/private \
220 /etc/ipsec.d/reqs
221
222 dodoc CREDITS NEWS README TODO || die
223
224 # shared libs are used only internally and there are no static libs,
225 # so it's safe to get rid of the .la files
226 find "${D}" -name '*.la' -delete || die "Failed to remove .la files."
227 }
228
229 pkg_preinst() {
230 has_version "<net-misc/strongswan-4.3.6-r1"
231 upgrade_from_leq_4_3_6=$(( !$? ))
232
233 has_version "<net-misc/strongswan-4.3.6-r1[-caps]"
234 previous_4_3_6_with_caps=$(( !$? ))
235 }
236
237 pkg_postinst() {
238 if ! use openssl && ! use gcrypt; then
239 elog
240 elog "${PN} has been compiled without both OpenSSL and libgcrypt support."
241 elog "Please note that this might effect availability and speed of some"
242 elog "cryptographic features. You are advised to enable the OpenSSL plugin."
243 elif ! use openssl; then
244 elog
245 elog "${PN} has been compiled without the OpenSSL plugin. This might effect"
246 elog "availability and speed of some cryptographic features. There will be"
247 elog "no support for Elliptic Curve Cryptography (Diffie-Hellman groups 19-21,"
248 elog "25, 26) and ECDSA."
249 fi
250
251 if [[ $upgrade_from_leq_4_3_6 == 1 ]]; then
252 chmod 0750 "${ROOT}"/etc/ipsec.d \
253 "${ROOT}"/etc/ipsec.d/aacerts \
254 "${ROOT}"/etc/ipsec.d/acerts \
255 "${ROOT}"/etc/ipsec.d/cacerts \
256 "${ROOT}"/etc/ipsec.d/certs \
257 "${ROOT}"/etc/ipsec.d/crls \
258 "${ROOT}"/etc/ipsec.d/ocspcerts \
259 "${ROOT}"/etc/ipsec.d/private \
260 "${ROOT}"/etc/ipsec.d/reqs
261
262 ewarn
263 ewarn "The default permissions for /etc/ipsec.d/* have been tightened for"
264 ewarn "security reasons. Your system installed directories have been"
265 ewarn "updated accordingly. Please check if necessary."
266 ewarn
267
268 if [[ $previous_4_3_6_with_caps == 1 ]]; then
269 if ! use non-root; then
270 ewarn
271 ewarn "IMPORTANT: You previously had ${PN} installed without root"
272 ewarn "privileges because it was implied by the 'caps' USE flag."
273 ewarn "This has been changed. If you want ${PN} with user privileges,"
274 ewarn "you have to re-emerge it with the 'non-root' USE flag enabled."
275 ewarn
276 fi
277 fi
278 fi
279 if ! use caps && ! use non-root; then
280 ewarn
281 ewarn "You have decided to run ${PN} with root privileges and built it"
282 ewarn "without support for POSIX capability dropping. It is generally"
283 ewarn "strongly suggested that you reconsider- especially if you intend"
284 ewarn "to run ${PN} as server with a public ip address."
285 ewarn
286 ewarn "You should re-emerge ${PN} with at least the 'caps' USE flag enabled."
287 ewarn
288 fi
289 if use non-root; then
290 elog
291 elog "${PN} has been installed without superuser privileges (USE=non-root)."
292 elog "This imposes several limitations mainly to the IKEv1 daemon 'pluto'"
293 elog "but also a few to the IKEv2 daemon 'charon'."
294 elog
295 elog "Please carefully read: http://wiki.strongswan.org/wiki/nonRoot"
296 elog
297 elog "pluto uses a helper script by default to insert/remove routing and"
298 elog "policy rules upon connection start/stop which requires superuser"
299 elog "privileges. charon in contrast does this internally and can do so"
300 elog "even with reduced (user) privileges."
301 elog
302 elog "Thus if you require IKEv1 (pluto) or need to specify a custom updown"
303 elog "script to pluto or charon which requires superuser privileges, you"
304 elog "can work around this limitation by using sudo to grant the"
305 elog "user \"ipsec\" the appropriate rights."
306 elog "For example (the default case):"
307 elog "/etc/sudoers:"
308 elog " Defaults:ipsec always_set_home,!env_reset"
309 elog " ipsec ALL=(ALL) NOPASSWD: /usr/sbin/ipsec"
310 elog "Under the specific connection block in /etc/ipsec.conf:"
311 elog " leftupdown=\"sudo ipsec _updown\""
312 elog
313 fi
314 elog
315 elog "Make sure you have _all_ required kernel modules available including"
316 elog "the appropriate cryptographic algorithms. A list is available at:"
317 elog " http://wiki.strongswan.org/projects/strongswan/wiki/KernelModules"
318 elog
319 elog "The up-to-date manual is available online at:"
320 elog " http://wiki.strongswan.org/"
321 elog
322 }